# Kafka + Quarkus + Docker : Demonstration
A small university project to discover the [Quarkus Framework](https://quarkus.io/) to build the 
application combined with the [Kafka platform](https://kafka.apache.org/), the whole compatible 
with [Docker](https://www.docker.com/).

## Run
You can run the project very simply with either [Intellij IDEA](https://www.jetbrains.com/idea/), 
or directly within a terminal.

### Intellij IDEA
Simply clone and load the project into the IDE and in the 
[run configurations](https://www.jetbrains.com/help/idea/run-debug-configuration.html),
choose `compose`.

### Terminal
Alternatively, you can build and run the project manually by using 
[gradle](https://gradle.org/) and launching the application with [docker-compose](https://docs.docker.com/compose/).

```shell
gradlew build
docker compose up
```

## Expectation
The `application` container shall print the current temperature at the selected place in 
Fahrenheit every minute.
